Subject: Re: [PATCH net] atl1c: Improve driver not to do order 4 GFP_ATOMIC allocation

From: Pavel Machek <[email-masked]>
Date: Fri, 4 Dec 2015 22:30:27 +0100

On Fri 2015-12-04 11:21:40, David Miller wrote:
> From: Pavel Machek <[email-masked]>
> Date: Fri, 4 Dec 2015 09:11:27 +0100
> 
> >> >>  	if (unlikely(!ring_header->desc)) {
> >> >> -		dev_err(&pdev->dev, "pci_alloc_consistend failed\n");
> >> >> +		dev_err(&pdev->dev, "could not get memory for DMA buffer\n");
> >> >>  		goto err_nomem;
> >> >>  	}
> >> >>  	memset(ring_header->desc, 0, ring_header->size);
> >> >> 
> >> >> 
> >> > 
> >> > So this memset() will really require a different patch to get removed ?
> >> > 
> >> > Sigh, not sure why I review patches.
> >> 
> >> Agreed, please use dma_zalloc_coherent() and kill that memset().
> > 
> > Ok, updated. I'll also add cc: stable, because it makes notebooks with
> > affected chipset unusable.
> 
> Networking patches do not use CC: stable, instead you simply ask me
> to queue it up and then I batch submit networking fixes to -stable
> periodically myself.

Ok, can you take the patch and ignore the Cc, or should I do one more
iteration?

Thanks,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>